Skip to content
GitLab
Search GitLab
/
Help
Marla Camille Lingan
D
discussion
Project information
Repository
Issues0
Merge requests0
CI/CD
Deployments
Packages and registries
Monitor
Analytics
Wiki
Snippets
Zuitt Coding Bootcamp TraineesZuitt Coding Bootcamp Trainees

s09
discussion

s09 complete discussion code
Romenick Garcia authored 59 minutes ago
1efc4c53
discussion
index.html
index.html
6.99 KiB
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap Introduction and Simple Styles</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
</head>
<body class=" bg-secondary">
    <!-- Navbar -->
    <div class="bg-primary text-light p-1 fixed-top">
        Fixed Top - Navbar
    </div>
    <!-- Header -->
    <div class="text-center mt-5">
        <h1>Bootstrap Introduction and Simple Styles</h1>
        <div class="w-25 d-none d-lg-inline-block mt-4">
            <img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="img-fluid bg-white rounded-circle">
        </div>
    </div>
    <!-- Bootstrap Utility Classes -->
    <div class="mt-5 mb-5 container-fluid text-center">
        <h2>Bootstrap Color Classes</h2>
        <table class="table table-dark table-bordered table-hover">
            <thead>
                <tr>
                    <th>Text</th>
                    <th>Bacground</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <a href="#" class="text-primary">Primary Link</a>
                    </td>
                    <td class="bg-primary text-white">Primary</td>
                </tr>
                <tr>
                    <td>
                        <a href="#" class="text-secondary">Secondary Link</a>
                    </td>
                    <td class="bg-secondary text-white">Secondary</td>
                </tr>
                <tr>
                        <td>
                            <a href="#" class="text-success">
                                Success link
                            </a>
                        </td>
                        <td class="bg-success text-white">
                            Success
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-danger">
                                Danger link
                            </a>
                        </td>
                        <td class="bg-danger text-white">
                            Danger
                        </td>
                    </tr>
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
                    <tr>
                        <td>
                            <a href="#" class="text-warning">
                                Warning link
                            </a>
                        </td>
                        <td class="bg-warning text-white">
                            Warning
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-info">
                                Info link
                            </a>
                        </td>
                        <td class="bg-info text-white">
                            Info
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-light">
                                Light link
                            </a>
                        </td>
                        <td class="bg-light text-dark">
                            Light
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-dark">
                                Dark link
                            </a>
                        </td>
                        <td class="bg-dark text-white">
                            Dark
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-muted">
                                Muted link
                            </a>
                        </td>
                        <td class="bg-transparent text-white">
                            Transparent
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-white">
                                White link
                            </a>
                        </td>
                        <td class="bg-white text-dark">
                            White
                        </td>
                    </tr>

                    <tr>
                        <td>
                            <a href="#" style="color:#C900FF;">
                                Custom Color
                            </a>
                        </td>
                        <td style="background-color: #C900FF;" class=" text-dark">
                            Custom Color
                        </td>
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
                    </tr>

            </tbody>
        </table>
    </div>

    <div class="container-fluid">
        <h2>Bootstrap Text Classes</h2>

        <table class="table table-light table-bordered table-hover">
            <thead>
                <tr>
                    <th>Alignment</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td class="text-left">Left</td>
                </tr>
                <tr>
                    <td class="text-center">Center</td>
                </tr>
                <tr>
                    <td class="text-end">Right</td>
                </tr>
                <tr>
                    <td class="text-sm-center">Small Center</td>
                </tr>
                <tr>
                    <td class="text-end text-md-start">Others Right/Medium Left</td>
                </tr>
                <tr>
                    <td class="text-lg-end">Large Right</td>
                </tr>
                <tr>
                    <td class="text-xl-center">Extra Large Center</td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="container-fluid">
        <h2>Text Transformation</h2>

        <table class="table table-dark table-bordered table-hover">
            <thead>
                <tr>
                    <th>Text Transform</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td class="text-lowercase fw-bold">LOWERCASED BOLD TEXT</td>
                </tr>
                <tr>
                    <td class="text-uppercase fw-normal">uppercased normal text</td>
                </tr>
                <tr>
                    <td class="text-capitalize fw-light">capitalized light text</td>
                </tr>
                <tr>
                    <td><a href="#" class="text-decoration-none fst-italic">Non-underlined Italic Link</a></td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="container w-50 mb-5">
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
        <h2>Bootstrap Border and Sizing Classes</h2>

        <table class="table table-light table-bordered table-hover">
            <thead>
                <tr>
                    <th>Border</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>
                        <div class="bg-info border border-primary rounded w-25">Rounded</div>
                    </td>
                </tr>

                <tr>
                    <td>
                        <div class="bg-secondary border border-white rounded-circle w-25">Rounded Circle</div>
                    </td>
                </tr>

                <tr>
                    <td>
                        <div class="bg-warning border border-danger rounded-pill w-25">Rounded Pill</div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <!-- Footer -->
    <div class="fixed-bottom bg-primary text-light p-1">Fixed Bottom - Footer</div>


<!-- Script should be placed at the bottom part of our body -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
</body>
</html>